local old_init = WeaponTweakData.init

function WeaponTweakData:init(tweak_data)
    old_init(self, tweak_data)

-- Light Machine Guns

-- KSP 58
self.par.stats.damage = 48
self.par.stats.spread = 16
self.par.can_shoot_through_enemy = true
self.par.can_shoot_through_shield = true
self.par.can_shoot_through_wall = true
self.par.penetration_power_mult = 0.70 
self.par.penetration_damage_mult = 0.50
self.par.shield_damage_mult = 0.10
self.par.min_shield_pen_dam = 1
self.par.armor_piercing_chance = 1

-- RPK
self.rpk.stats.damage = 44
self.rpk.stats.spread = 15
self.rpk.can_shoot_through_enemy = true
self.rpk.can_shoot_through_shield = true
self.rpk.can_shoot_through_wall = true
self.rpk.penetration_power_mult = 0.70
self.rpk.penetration_damage_mult = 0.50
self.rpk.shield_damage = 0.10
self.rpk.min_shield_pen_dam = 1
self.rpk.armor_piercing_chance = 1

-- KSP
self.m249.stats.damage = 48
self.m249.stats.spread = 15
self.m249.can_shoot_through_enemy = true
self.m249.can_shoot_through_shield = true
self.m249.can_shoot_through_wall = true
self.m249.penetration_power_mult = 0.70
self.m249.penetration_damage_mult = 0.50
self.m249.shield_damage = 0.10
self.m249.min_shield_pen_dam = 1
self.m249.armor_piercing_chance = 1

-- Brenner 21
self.hk21.stats.damage = 44
self.hk21.stats.spread = 17
self.hk21.can_shoot_through_enemy = true
self.hk21.can_shoot_through_shield = true
self.hk21.can_shoot_through_wall = true
self.hk21.penetration_power_mult = 0.70
self.hk21.penetration_damage_mult = 0.50
self.hk21.shield_damage = 0.10
self.hk21.min_shield_pen_dam = 1
self.hk21.armor_piercing_chance = 1

-- Buzzsaw 42
self.mg42.stats.damage = 42
self.mg42.stats.spread = 15
self.mg42.can_shoot_through_enemy = true
self.mg42.can_shoot_through_shield = true
self.mg42.can_shoot_through_wall = true
self.mg42.penetration_power_mult = 0.70
self.mg42.penetration_damage_mult = 0.50
self.mg42.shield_damage = 0.10
self.mg42.min_shield_pen_dam = 1
self.mg42.armor_piercing_chance = 1

end